package edu.uoc.pfc.mena.db.core.exception;

public class BDException extends Exception {
	
	private int codi;
	private String descripcio;
	private Throwable cause;

	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public BDException (int codi, String descripcio){
		this(codi, descripcio, null);
	}
	
	public BDException (int codi, String descripcio, Throwable cause){
		super(descripcio);
		this.codi=codi;
		this.descripcio=descripcio;
		if (cause!=null){
			this.setCause(cause);
		}
	}

	public int getCodi() {
		return codi;
	}

	public void setCodi(int codi) {
		this.codi = codi;
	}

	public String getDescripcio() {
		return descripcio;
	}

	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}

	public void setCause(Throwable cause) {
		this.cause = cause;
	}

	public Throwable getCause() {
		return cause;
	}
	
	
	
}
