package edu.uoc.pfc.mena.db.core.session;

import java.util.List;

import edu.uoc.pfc.mena.db.core.exception.BDException;
import edu.uoc.pfc.mena.db.core.transaction.Transaccio;

public interface Sessio {
	public Transaccio newTransaccio() throws BDException;
	public void tancaTransaccio() throws BDException;
	public Transaccio newTransaccio(boolean autocommit) throws BDException;
	public Transaccio getTransaccio();
	public void setTransaccio(Transaccio trans);
	public int insert(Object objecte) throws BDException;	
	public void update(Object objecte) throws BDException;
	public void delete(Object objecte) throws BDException;
	public List<Object> find (Object objecte) throws BDException;
	public List<Object> find(String sql, Object returnObj) throws BDException;
}

