package edu.uoc.pfc.mena.db.utilities;

public interface GeneradorConstants {

	// Configuracio
	public static final String PREFIX_PCKG_DEFAULT		="edu.uoc.pfc.mena.db.utilities.provider.";
	public static final String PREFIX_CLASS_DEFAULT		="TaulaBDInfo";
	public static final String SUFIX_CLASS_DEFAULT		="Impl";
	public static final String DOT						=".";
	public static final String SUFIX_CLASS_GENERADA		="Bean";
	public static final String BDUTILS_CLASS_FILE = "BDUtils.java";
	public static final String BDUTILS_CLASS_NAME = "BDUtils";
	
	// Varios
	public static final String LIKE_SYMBOL="%";
	
	// Mappings
	public static final int METADADA_CATALEG_INDEX=1;
	public static final int METADADA_SCHEMA_INDEX=2;
	public static final int METADADA_TABLENAME_INDEX=3;
	public static final int METADADA_COLUMN_NAME_INDEX=4;
	public static final int METADADA_COLUMN_DATATYPE_INDEX=5;
	public static final int METADADA_COLUMN_TYPENAME_INDEX=6;
	public static final int METADADA_COLUMN_SIZE_INDEX=7;
	public static final int METADADA_COLUMN_BUFFERLENGTH_INDEX=8;
	public static final int METADADA_COLUMN_DECIMALDIGITS_INDEX=9;
	public static final int METADADA_COLUMN_PRECISION_INDEX=10;
	public static final int METADADA_COLUMN_ISNULLABLE_INDEX=18;
	public static final int METADADA_COLUMN_ISAUTOINCREMENT_INDEX=23;
	public static final int METADADA_COLUMN_SQLDATATYPE_INDEX=14;
	
	public static final String JAVA_TYPE_STRING = "java.lang.String";
	public static final String JAVA_TYPE_INTEGER = "java.lang.Integer";
	public static final String JAVA_TYPE_LONG = "java.lang.Long";
	public static final String JAVA_TYPE_TIMESTAMP = "java.sql.Timestamp";
	public static final String JAVA_TYPE_BOOLEAN = "java.lang.Boolean";
	public static final String JAVA_TYPE_FLOAT = "java.lang.Float";
	public static final String JAVA_TYPE_DOUBLE = "java.lang.Double";
	public static final String JAVA_TYPE_DECIMAL = "java.math.BigDecimal";
	public static final String JAVA_TYPE_BYTE_ARRAY = "byte[]";
	
}
