package edu.uoc.pfc.mena.db.utilities.provider.sqlserver;

import java.sql.ResultSet;
import java.util.ArrayList;

import edu.uoc.pfc.mena.db.core.constants.Constants;
import edu.uoc.pfc.mena.db.core.exception.BDException;
import edu.uoc.pfc.mena.db.utilities.GeneradorColumnaBDInfo;
import edu.uoc.pfc.mena.db.utilities.GeneradorColumnaBDInfoImpl;
import edu.uoc.pfc.mena.db.utilities.GeneradorTaulaBDInfoImpl;

public class TaulaBDInfoSqlserverImpl extends GeneradorTaulaBDInfoImpl {
	       	   
	public TaulaBDInfoSqlserverImpl() throws Exception {
		super();
	}
	
	
	 public void addColumnesInfo() throws BDException {
		 ResultSet localResultSet = null;
		 try {
		    setInfoColumnes(new ArrayList<GeneradorColumnaBDInfo>());
		    //String str1 = this.isOracle() ? this.getUsuari().toUpperCase() : "%";
		    String str1 = "%";
		    localResultSet= this.getMetadadaBD().getColumns(null, str1,this.getNomTaula(), "%");
		    while (localResultSet.next())
		    {
		      //String str3 = localResultSet.getString(3);
		      //String str4 = localResultSet.getString(2);
		      String str5 = localResultSet.getString(4);
		      int i, j;
		      GeneradorColumnaBDInfoImpl localColumnData= null;
		      i = localResultSet.getInt(5);
		      j = localResultSet.getInt(7);
		      if (i == 2){
		    	  i = 3;
		      }
		      
		      if ((localResultSet.getInt(9) > 0) && (i != 93)) {
		            i = 8;
		      }
		      
		      localColumnData = new ColumnaBDInfoSqlserverImpl(str5, i, j);  
		      System.out.println(">>>>>>>>>>>>>> Info columna [ " + localColumnData+ "]");    
		      
		      this.getInfoColumnes().add(localColumnData);
		    }
		    
		    this.setNumCamps(this.getInfoColumnes().size());
		 }catch(Exception e){
			 throw new BDException (Constants.GET_METADATA_ERROR_CODE, Constants.GET_METADATA_ERROR_MSG,e );
		 }
		 finally{ 
			 try{localResultSet.close();}catch(Exception ignored){}
		 }
	  }
	 
	 public String getHasPK(){
		 return null;
	 }


	@Override
	public String getTipusJava() throws Exception {
		// TODO Auto-generated method stub
		return null;
	}


	@Override
	public void addPrimaryKey() throws BDException {
		// TODO Auto-generated method stub
		
	}
	
}
