
// GeneradorBDBeans Data: Mon Jun 17 17:44:54 CEST 2013
package test.main.exemple.beans;

import java.sql.*;
import edu.uoc.pfc.mena.db.core.annotations.*;
import java.io.Serializable;

/**
  * Inscripcio
  * Taula: inscripcio
  * -----------------------------------------
  * Versi base de dades : 5.6.12
  * Nom driver : MySQL Connector Java
  * Versi driver : 6.5
  * Data generaci : Mon Jun 17 17:44:54 CEST 2013
  * 
  */
@Entitat
@Taula(nom="inscripcio")
public class Inscripcio implements Serializable {
	public static int numFields = 4;
	private static final long serialVersionUID = 1L;
	
	 // Atributs de la classe
	java.lang.Integer id; 
	java.sql.Timestamp data; 
	java.lang.Integer idOferta; 
	java.lang.Integer idClient; 
	
	public Inscripcio() {}
	public Inscripcio(java.lang.Integer id,java.sql.Timestamp data,java.lang.Integer idOferta,java.lang.Integer idClient	) {
	    this.id = id;
	    this.data = data;
	    this.idOferta = idOferta;
	    this.idClient = idClient;
	  }
	
	  /**
	    * Sets del valor per id
	    * @param id
	    */
	  public void setId(java.lang.Integer id) {
	    this.id=id;
	  }
	
	  /**
	    * Gets del valor per id
	    */
	  @Id(nom="id", tipus="SMALLINT")
	@ValorGenerat
	  public java.lang.Integer getId() {
	    return id;
	  }
	
	  /**
	    * Sets del valor per data
	    * @param data
	    */
	  public void setData(java.sql.Timestamp data) {
	    this.data=data;
	  }
	
	  /**
	    * Gets del valor per data
	    */
	  @Columna(nom="data", tipus="TIMESTAMP", nullable="NO")
	  public java.sql.Timestamp getData() {
	    return data;
	  }
	
	  /**
	    * Sets del valor per idOferta
	    * @param idOferta
	    */
	  public void setIdOferta(java.lang.Integer idOferta) {
	    this.idOferta=idOferta;
	  }
	
	  /**
	    * Gets del valor per idOferta
	    */
	  @Columna(nom="id_oferta", tipus="INT", nullable="NO")
	  public java.lang.Integer getIdOferta() {
	    return idOferta;
	  }
	
	  /**
	    * Sets del valor per idClient
	    * @param idClient
	    */
	  public void setIdClient(java.lang.Integer idClient) {
	    this.idClient=idClient;
	  }
	
	  /**
	    * Gets del valor per idClient
	    */
	  @Columna(nom="id_client", tipus="INT", nullable="NO")
	  public java.lang.Integer getIdClient() {
	    return idClient;
	  }
}