package edu.uoc.pfc.mena.webapp.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import edu.uoc.pfc.mena.webapp.constants.ActionConstants;
import edu.uoc.pfc.mena.webapp.form.OfertesForm;
import edu.uoc.pfc.mena.webapp.pojo.OfertaTO;
import edu.uoc.pfc.mena.webapp.services.OfertesServei;
import edu.uoc.pfc.mena.webapp.spring.AgenciaContext;


public class EliminarOfertaAction extends CercarOfertesAction {
  
  private static final Logger log = Logger.getLogger( EliminarOfertaAction.class );
 

  public ActionForward doExecute(ActionMapping mapping, ActionForm form, HttpServletRequest req, HttpServletResponse res) throws Exception{

	  try{

		 OfertesForm oForm= (OfertesForm) form;
		 OfertaTO oferta= new OfertaTO();
		 oferta.getOferta().setId((int)oForm.getId());
		 OfertesServei ofertesServei=AgenciaContext.getInstance().getOfertesServei();
		 ofertesServei.eliminarOferta(oferta);
		 
		 oForm.setId(null); // un cop esborrat fem un reset del filtre
		 // Fem la cerca de les ofertes
		 super.doExecute(mapping, oForm, req, res);
		 
		 
	  }catch(Exception e){
	      log.warn( "S'ha produit un error carregant la pagina" );
	      throw e;
	  }
	  return mapping.findForward( ActionConstants.MAPPING_LLISTAT );
  }
  
}
