package edu.uoc.pfc.mena.webapp.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import edu.uoc.pfc.mena.webapp.constants.ActionConstants;
import edu.uoc.pfc.mena.webapp.form.OfertesForm;

public class LogoutAction extends CercarOfertesAction {

	private static final Logger log = Logger.getLogger( LogoutAction.class );
		
	public ActionForward doExecute(ActionMapping mapping, ActionForm form, HttpServletRequest req, HttpServletResponse res) throws Exception{

		  try{
	 		  req.getSession().setAttribute( ActionConstants.HTTP_REQUEST_ATTRIBUTE_USER_LOGIN, null );
			 
			  // Fem la cerca de les ofertes
			  return super.doExecute(mapping, new OfertesForm() , req, res);
		  }catch(Exception e){
		      log.warn( "S'ha produit un error carregant la pagina"+e.getMessage());
		      throw e;
		  }
		  
	  }
}
