package edu.uoc.pfc.mena.webapp.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import edu.uoc.pfc.mena.webapp.constants.ActionConstants;
import edu.uoc.pfc.mena.webapp.form.OfertesForm;
import edu.uoc.pfc.mena.webapp.pojo.OfertaTO;
import edu.uoc.pfc.mena.webapp.services.OfertesServei;
import edu.uoc.pfc.mena.webapp.spring.AgenciaContext;


public class VisualitzarOfertaAction extends GlobalAction {
  
  private static final Logger log = Logger.getLogger( VisualitzarOfertaAction.class );
 

  public ActionForward doExecute(ActionMapping mapping, ActionForm form, HttpServletRequest req, HttpServletResponse res) throws Exception{

	  try{
		  OfertesForm llistatForm= (OfertesForm) form; 
		  OfertesServei ofertesServei=AgenciaContext.getInstance().getOfertesServei();
		  OfertaTO oferta=ofertesServei.cercaOfertaById((int)llistatForm.getId());
		  req.setAttribute( ActionConstants.HTTP_REQUEST_ATTRIBUTE_OFERTA, oferta );
		 
	  }catch(Exception e){
	      log.warn( "S'ha produit un error carregant la pagina:"+e.getMessage() );
	      throw e;
	  }
	  return mapping.findForward( ActionConstants.MAPPING_OK );
  }
  
  
}
