package edu.uoc.pfc.mena.webapp.dao;

import java.util.List;

import edu.uoc.pfc.mena.db.core.exception.BDException;
import edu.uoc.pfc.mena.webapp.filter.OfertesFilter;
import edu.uoc.pfc.mena.webapp.pojo.OfertaTO;



public interface OfertaDAO {

  public int afegirOferta (OfertaTO o) throws BDException;
  public void modificarOferta(OfertaTO o) throws BDException;
  public void eliminarOferta(OfertaTO o) throws BDException;
  public List<OfertaTO> cercaOfertes (OfertesFilter filtre) throws BDException, InstantiationException, IllegalAccessException;
  public OfertaTO cercaOfertaById(int o) throws BDException, InstantiationException, IllegalAccessException;
 
}