package edu.uoc.pfc.mena.webapp.dao.impl;

import java.util.List;

import edu.uoc.pfc.mena.db.core.exception.BDException;
import edu.uoc.pfc.mena.webapp.beans.Desti;
import edu.uoc.pfc.mena.webapp.dao.AbstractGenericDAO;
import edu.uoc.pfc.mena.webapp.dao.DestiDAO;

public class DestiDAOImpl extends AbstractGenericDAO<Desti> implements DestiDAO {

	@Override
	public List<Desti> cercaTots() throws BDException {
		return super.find("SELECT * FROM DESTI", new Desti());
	}

	@Override
	public Desti cercaDestiById(int id) throws BDException {
		Desti d=new Desti();
		d.setId(id);
		return super.findById(d);
	}

	@Override
	public List<Desti> cercaDestiByNom(String nom) throws BDException {
		return super.find("SELECT * FROM DESTI WHERE (LOCALITAT LIKE '%"+nom+"%' OR PAIS LIKE '%"+nom+"%')", new Desti());
	}

}
