package edu.uoc.pfc.mena.webapp.services.provider;

public interface PropertiesProviderService {

  /**
   * Obté el contingut de la property
   * @param propName Nom de la property
   * @return String amb el contingut
   */
  String getProperty(String propName);
  
  
  /**
   * Obté el contingut de la property en format int
   * @param propName Nom de la property
   * @return int amb el contingut
   */
  int getIntProperty(String propName);

  
  /**
   * Obté el contingut de la property en format long
   * @param propName Nom de la property
   * @return long amb el contingut
   */
  long getLongProperty(String propName) ;

  /**
   * Obté el contingut de la property en format boolean
   * @param propName Nom de la property
   * @return boolean amb el contingut
   */
  boolean getBooleanProperty(String propName);
}