package edu.uoc.pfc.mena.webapp.utils;






public class StringUtils {
  
  /**
   * Obtiene el string que se le pasa como parametro si es distinta de nula, o un string vacio si es nula 
   * @param s String a comprobar
   * @return s si es no null, o "" si s es null
   */
  public static String nullToEmpty(String s){
    return s!=null ? s : "";
  }
  
  /**
   * Indica si la cadena que se le pasa como parametro es nula o vacia
   * @param s Cadena a comprobar
   * @return true si es nula o vacia, false en caso contrario
   */
  public static boolean isNullOrEmpty(String s){
    if( s==null || s.length() == 0 ){
      return true;
    }
    return false;
  }
  
  
  public static String getStackTraceAsString (Throwable tw)
  {
      java.io.ByteArrayOutputStream baos = new java.io.ByteArrayOutputStream();
      java.io.PrintStream printStream = new java.io.PrintStream(baos);
      tw.printStackTrace(printStream);
      printStream.flush();
      String ss = baos.toString();
      printStream.close();
      return ss;
      
  }//getStackTraceAsString
  
}// StringUtils
