<%@ include file="init.jsp"%>
<%@ page pageEncoding="UTF-8" %>

<form name="llistatOfertesForm" action="${pageContext.request.contextPath}/action/gestionarOferta" method="post">
	<input type="hidden" id="idAccio" name="idAccio" value=""/>
	<input type="hidden" id="isFiltreLoad" name="isFiltreLoad" value="false"/>
	<input type="hidden" id="id" name= "id" />
	<input type="hidden" id="columSort" name= "columSort" />
	<input type="hidden" id="sortOrder" name= "sortOrder" />
		
		
	<br/><br/><br/>
	<div class="ofertaTitol">
		<h2>Filtre</h2>
	</div>
	<div id="filtre">
		<div class="fillForm">
			<dl>
				<dt><bean:message key="jsp.filter.desti"/></dt>
				<dd><input type="text" id="desti" name= "desti" value="${agencia_viatges_ofertes_filtre.desti}"/></dd>
			</dl>
			<dl>
				<dt>
					<bean:message key="jsp.filter.tipus.viatge"/>
				</dt>
				<dd>
					<select id="tipus" name="tipus">
						<option value="-1"><bean:message key='jsp.detall.oferta.tipus.viatge.default'/></option>
						<c:forEach var="tipusViatgeItem" items="${agencia_viatges_tipus_viatge}">
							<option <c:if test="${tipusViatgeItem.id==agencia_viatges_ofertes_filtre.tipus}">selected</c:if> value="${tipusViatgeItem.id}">${tipusViatgeItem.codi}-${tipusViatgeItem.nom}</option>
						</c:forEach>	
					</select>
				</dd>
			</dl>
			<dl>
				<dt><bean:message key="jsp.filter.preu.min"/></dt>
				<dd><input type="text" id="preuMinim" name= "preuMinim" value="${agencia_viatges_ofertes_filtre.preuMinim}"/></dd>
			</dl>
			<dl>
				<dt><bean:message key="jsp.filter.preu.max"/></dt>
				<dd><input type="text" id="preuMaxim" name= "preuMaxim" value="${agencia_viatges_ofertes_filtre.preuMaxim}"/></dd>
			</dl>
			<dl>
				<dt><bean:message key="jsp.filter.cerca"/></dt>
				<dd><input type="text" id="cerca" name= "cerca" value="${agencia_viatges_ofertes_filtre.cerca}"/></dd>
			</dl>
		</div>
		
		<div class="botonsForm">
			<input type="button" onclick="javascript:doFilter()" value="Filtra"/>
			<c:if test="${agencia_viatges_filtre_loaded}">
				<input id="resetFiltre" type="button" onclick="javascript:doResetFilter()" value="Cancel·la"/>
			</c:if>
		</div>		
		<br/><br/>
	</div>
</form>
