<%@ include file="init.jsp"%>
<%@ page pageEncoding="UTF-8" %>

<c:set var="tooltipLupa"><bean:message key='jsp.llistat.ofertes.veure.detall'/></c:set>

<div id="capcalera">
	<div class="ofertaTitolGran">
		<bean:message key="jsp.llistat.ofertes.titol"/>
	</div>
	<div class="divDreta">
		<%@ include file="dadesAdmin.jsp"%>
	</div>
</div>

<div id="filtre">
	<%@ include file="filtre.jsp"%>
</div>
<div class="clearing"></div>
<div class="clearing"></div>
	<c:set var="tipusOrdre" value="ASC"/>
	<c:if test="${agencia_viatges_ofertes_filtre!=null && agencia_viatges_ofertes_filtre.sortOrder=='ASC'}">
		<c:set var="tipusOrdre" value="DESC"/>
	</c:if>
	
	<div class="ofertaTitol">
		<h2>Ofertes disponibles</h2>
	</div>
	
	<div class="paginacio">
		<div class="textePaginacio">
		<h3 class="ofertes">
			<c:choose>
				<c:when test="${agencia_viatges_filtre_loaded}">Mostrant les ofertes de la cerca pels criteris <strong>${agencia_viatges_ofertes_filtre.info} </strong> </c:when>
				<c:otherwise>Mostant <strong>totes</strong> les ofertes</c:otherwise>
			</c:choose>
		</h3>
		</div>
		<div class="boxPag"></div>
		<div class="clearing"></div>
	</div>

	<div class="clearing"></div>
	
	<c:choose>
		<c:when test="${agencia_viatges_ofertes_disponibles!=null}">
			<div class="ordenacio">
				<div class="ordenacioDreta">
					Ordena per
					<a href="javascript:doFilterOrder('codi', '${tipusOrdre}');"><bean:message key="jsp.llistat.ofertes.codi"/>
					<c:choose>
						<c:when test="${tipusOrdre=='DESC'}"> 
							<img alt="" src="${pageContext.request.contextPath}/content/img/fletxaAltBlau.gif">
						</c:when>
						<c:otherwise>
							<img alt="" src="${pageContext.request.contextPath}/content/img/fletxaBaixBlau.gif">
						</c:otherwise>
					</c:choose>
					</a>
				</div>
			</div>
			<div class="llistatOfertes">
				<table width="100%" class="taulaOferta">
					<c:forEach items="${agencia_viatges_ofertes_disponibles}" var="ofertaItem" varStatus="rowCounter">
						<tr>
							<td class="codi">${ofertaItem.oferta.codi}</td>
							<td class="oferta"><span class="desti">${ofertaItem.desti.localitat} (${ofertaItem.desti.pais})</span></td>
							<td class="preu">${ofertaItem.oferta.preu}<bean:message key="jsp.llistat.ofertes.euro.simbol"/></td>
							
							<td class="etiqueta">
								<c:choose>
									<c:when test="${ofertaItem.tipus.id>5}">
										<span class="etiqDef">${ofertaItem.tipus.nom}</span></c:when>
									<c:otherwise>
										<span class="etiq${ofertaItem.tipus.id}">${ofertaItem.tipus.nom}</span>
									</c:otherwise>
								</c:choose>	
							</td>
							<td class="num">
								<c:choose>
									<c:when test="${ofertaItem.placesDisponibles==0}"> 
										<span class="zero">${ofertaItem.placesDisponibles}</span>
										<img alt="Usuaris" src="${pageContext.request.contextPath}/content/img/icoUsuVermell.png">
									</c:when>
									<c:otherwise>
										<span>${ofertaItem.placesDisponibles}</span>
										<img alt="Usuaris" src="${pageContext.request.contextPath}/content/img/icoUsuGris.png">
									</c:otherwise>
								</c:choose>
							</td>	
														
							<td class="opcions">
								<a href='javascript:doShowOferta(${ofertaItem.oferta.id})'> 
									<img src="${pageContext.request.contextPath}/content/img/lupa.gif" alt="${tooltipLupa}" title="${tooltipLupa}" /> </a>
							</td>
							<c:if test="${agencia_viatges_usuari_login!=null}">
								<td class="opcions">
									<a href='javascript:doDeleteOferta(${ofertaItem.oferta.id})'> 
										<img src="${pageContext.request.contextPath}/content/img/icoElimina.png" alt="<bean:message key='jsp.llistat.ofertes.elimina'/>" title="<bean:message key='jsp.llistat.ofertes.elimina'/>" /> 
									</a>
								</td>
							</c:if>
						</tr>
					</c:forEach>
				</table>
			</div>
		</c:when>
		<c:otherwise>
			<br/>
			<img alt="" src="${pageContext.request.contextPath}/content/img/icoIncidencia.gif">&nbsp;&nbsp;&nbsp;<bean:message key="jsp.llistat.ofertes.no.ofertes"/>
			<br/><br/>
		</c:otherwise>
	</c:choose>
	


<%@ include file="tornaInici.jsp"%>	

