package edu.uoc.pfc.mena.db.utilities;

import java.sql.Connection;
import java.sql.DatabaseMetaData;
import java.util.List;

import edu.uoc.pfc.mena.db.core.exception.BDException;

public interface GeneradorTaulaBDInfo {
	  public String getAliasTaula();
	  
	  public void setAliasTaula(String alias);
	  
	public boolean isResetCampsActiu();
	public void setResetCampsActiu(boolean isResetCampsActiu);
	public String getNomClasse();
	public void setNomClasse(String nomClasse);
	public String getNomFitxer() ;
	public void setNomFitxer(String nomFitxer) ;
	public String getVisibilitat();
	public void setVisibilitat(String visibilitat);
	public String getUsuari();
	public void setUsuari(String usuari);
	public String getNomTaula();
	public void setNomTaula(String nomTaula);

	public String getNomPackage();
	public void setNomPackage(String nomPackage);
	public String getDirectoriBase() ;
	public void setDirectoriBase(String directoriBase);
	public DatabaseMetaData getMetadadaBD();
	public void setMetadadaBD(DatabaseMetaData metadadaBD) ;
	
	public String getMetadadaVersioBD() ;
	public void setMetadadaVersioBD(String metadadaVersioBD);
	public String getMetadadaNomDriver();
	public void setMetadadaNomDriver(String metadadaNomDriver) ;
	public int getMetadadaMajorVersioDriver() ;
	public int getMetadadaMinorVersioDriver() ;
	public void setMetadadaMajorVersioDriver(int metadadaMajorVersioDriver) ;
	public void setMetadadaMinorVersioDriver(int metadadaMinorVersioDriver) ;
	public List<GeneradorColumnaBDInfo> getInfoColumnes() ;
	public void setInfoColumnes(List<GeneradorColumnaBDInfo> columnaDada);
	public List<String> getInfoClaus() ;
	public void setInfoClaus(List<String> clauDada);

	public String getCodiRaw();
	
	public void setCodiRaw(String codiRaw);
	public Connection getConnexio();
	public void setConnexio(Connection con) ;
	public int getNumCamps();
	public void setNumCamps(int numCamps) ;
	
	 public void addPrimaryKey() throws BDException ;
	 public void addColumnesInfo() throws BDException;
	 public String getTipusJava() throws Exception;
	  public boolean hasClauPrimaria();
}
