
// GeneradorBDBeans Data: Mon Jun 17 17:44:54 CEST 2013
package test.main.exemple.beans;

import java.sql.*;
import edu.uoc.pfc.mena.db.core.annotations.*;
import java.io.Serializable;

/**
  * Client
  * Taula: client
  * -----------------------------------------
  * Versi base de dades : 5.6.12
  * Nom driver : MySQL Connector Java
  * Versi driver : 6.5
  * Data generaci : Mon Jun 17 17:44:54 CEST 2013
  * 
  */
@Entitat
@Taula(nom="client")
public class Client implements Serializable {
	public static int numFields = 6;
	private static final long serialVersionUID = 1L;
	
	 // Atributs de la classe
	java.lang.Integer id; 
	java.lang.String dni; 
	java.lang.String nom; 
	java.lang.String cognom1; 
	java.lang.String cognom2; 
	java.lang.String correu; 
	
	public Client() {}
	public Client(java.lang.Integer id,java.lang.String dni,java.lang.String nom,java.lang.String cognom1,java.lang.String cognom2,java.lang.String correu	) {
	    this.id = id;
	    this.dni = dni;
	    this.nom = nom;
	    this.cognom1 = cognom1;
	    this.cognom2 = cognom2;
	    this.correu = correu;
	  }
	
	  /**
	    * Sets del valor per id
	    * @param id
	    */
	  public void setId(java.lang.Integer id) {
	    this.id=id;
	  }
	
	  /**
	    * Gets del valor per id
	    */
	  @Id(nom="id", tipus="SMALLINT")
	@ValorGenerat
	  public java.lang.Integer getId() {
	    return id;
	  }
	
	  /**
	    * Sets del valor per dni
	    * @param dni
	    */
	  public void setDni(java.lang.String dni) {
	    this.dni=dni;
	  }
	
	  /**
	    * Gets del valor per dni
	    */
	  @Columna(nom="dni", tipus="VARCHAR", nullable="NO")
	  public java.lang.String getDni() {
	    return dni;
	  }
	
	  /**
	    * Sets del valor per nom
	    * @param nom
	    */
	  public void setNom(java.lang.String nom) {
	    this.nom=nom;
	  }
	
	  /**
	    * Gets del valor per nom
	    */
	  @Columna(nom="nom", tipus="VARCHAR", nullable="SI")
	  public java.lang.String getNom() {
	    return nom;
	  }
	
	  /**
	    * Sets del valor per cognom1
	    * @param cognom1
	    */
	  public void setCognom1(java.lang.String cognom1) {
	    this.cognom1=cognom1;
	  }
	
	  /**
	    * Gets del valor per cognom1
	    */
	  @Columna(nom="cognom1", tipus="VARCHAR", nullable="SI")
	  public java.lang.String getCognom1() {
	    return cognom1;
	  }
	
	  /**
	    * Sets del valor per cognom2
	    * @param cognom2
	    */
	  public void setCognom2(java.lang.String cognom2) {
	    this.cognom2=cognom2;
	  }
	
	  /**
	    * Gets del valor per cognom2
	    */
	  @Columna(nom="cognom2", tipus="VARCHAR", nullable="SI")
	  public java.lang.String getCognom2() {
	    return cognom2;
	  }
	
	  /**
	    * Sets del valor per correu
	    * @param correu
	    */
	  public void setCorreu(java.lang.String correu) {
	    this.correu=correu;
	  }
	
	  /**
	    * Gets del valor per correu
	    */
	  @Columna(nom="correu", tipus="VARCHAR", nullable="SI")
	  public java.lang.String getCorreu() {
	    return correu;
	  }
}