package edu.uoc.pfc.mena.webapp.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import edu.uoc.pfc.mena.webapp.constants.ActionConstants;
import edu.uoc.pfc.mena.webapp.pojo.OfertaTO;
import edu.uoc.pfc.mena.webapp.services.OfertesServei;
import edu.uoc.pfc.mena.webapp.spring.AgenciaContext;

public class PreReservarOfertaAction extends CercarOfertesAction {

	  private static final Logger log = Logger.getLogger( PreReservarOfertaAction.class );
	
	  public ActionForward doExecute(ActionMapping mapping, ActionForm form, HttpServletRequest req, HttpServletResponse res) throws Exception{

		  OfertesServei ofertesServei=AgenciaContext.getInstance().getOfertesServei();
		  OfertaTO o=ofertesServei.cercaOfertaById(Integer.parseInt(req.getParameter("oferta_id")));
		  req.setAttribute( ActionConstants.HTTP_REQUEST_ATTRIBUTE_OFERTA, o );

		  return mapping.findForward( ActionConstants.MAPPING_OK );

	  }
}
