
// GeneradorBDBeans Data: Mon Jun 17 17:42:29 CEST 2013
package edu.uoc.pfc.mena.webapp.beans;

import java.sql.*;
import edu.uoc.pfc.mena.db.core.annotations.*;
import java.io.Serializable;

/**
  * Oferta
  * Taula: oferta
  * -----------------------------------------
  * Versi base de dades : 5.6.12
  * Nom driver : MySQL Connector Java
  * Versi driver : 6.5
  * Data generaci : Mon Jun 17 17:42:29 CEST 2013
  * 
  */
@Entitat
@Taula(nom="oferta")
public class Oferta implements Serializable {
	public static int numFields = 7;
	private static final long serialVersionUID = 1L;
	
	 // Atributs de la classe
	java.lang.Integer id; 
	java.lang.String codi; 
	java.lang.String descripcio; 
	java.math.BigDecimal preu; 
	java.lang.Integer places; 
	java.lang.Integer idDesti; 
	java.lang.Integer idTipusViatge; 
	
	public Oferta() {}
	public Oferta(java.lang.Integer id,java.lang.String codi,java.lang.String descripcio,java.math.BigDecimal preu,java.lang.Integer places,java.lang.Integer idDesti,java.lang.Integer idTipusViatge	) {
	    this.id = id;
	    this.codi = codi;
	    this.descripcio = descripcio;
	    this.preu = preu;
	    this.places = places;
	    this.idDesti = idDesti;
	    this.idTipusViatge = idTipusViatge;
	  }
	
	  /**
	    * Sets del valor per id
	    * @param id
	    */
	  public void setId(java.lang.Integer id) {
	    this.id=id;
	  }
	
	  /**
	    * Gets del valor per id
	    */
	  @Id(nom="id", tipus="SMALLINT")
	@ValorGenerat
	  public java.lang.Integer getId() {
	    return id;
	  }
	
	  /**
	    * Sets del valor per codi
	    * @param codi
	    */
	  public void setCodi(java.lang.String codi) {
	    this.codi=codi;
	  }
	
	  /**
	    * Gets del valor per codi
	    */
	  @Columna(nom="codi", tipus="VARCHAR", nullable="NO")
	  public java.lang.String getCodi() {
	    return codi;
	  }
	
	  /**
	    * Sets del valor per descripcio
	    * @param descripcio
	    */
	  public void setDescripcio(java.lang.String descripcio) {
	    this.descripcio=descripcio;
	  }
	
	  /**
	    * Gets del valor per descripcio
	    */
	  @Columna(nom="descripcio", tipus="VARCHAR", nullable="SI")
	  public java.lang.String getDescripcio() {
	    return descripcio;
	  }
	
	  /**
	    * Sets del valor per preu
	    * @param preu
	    */
	  public void setPreu(java.math.BigDecimal preu) {
	    this.preu=preu;
	  }
	
	  /**
	    * Gets del valor per preu
	    */
	  @Columna(nom="preu", tipus="DECIMAL", nullable="NO")
	  public java.math.BigDecimal getPreu() {
	    return preu;
	  }
	
	  /**
	    * Sets del valor per places
	    * @param places
	    */
	  public void setPlaces(java.lang.Integer places) {
	    this.places=places;
	  }
	
	  /**
	    * Gets del valor per places
	    */
	  @Columna(nom="places", tipus="SMALLINT", nullable="NO")
	  public java.lang.Integer getPlaces() {
	    return places;
	  }
	
	  /**
	    * Sets del valor per idDesti
	    * @param idDesti
	    */
	  public void setIdDesti(java.lang.Integer idDesti) {
	    this.idDesti=idDesti;
	  }
	
	  /**
	    * Gets del valor per idDesti
	    */
	  @Columna(nom="id_desti", tipus="INT", nullable="NO")
	  public java.lang.Integer getIdDesti() {
	    return idDesti;
	  }
	
	  /**
	    * Sets del valor per idTipusViatge
	    * @param idTipusViatge
	    */
	  public void setIdTipusViatge(java.lang.Integer idTipusViatge) {
	    this.idTipusViatge=idTipusViatge;
	  }
	
	  /**
	    * Gets del valor per idTipusViatge
	    */
	  @Columna(nom="id_tipus_viatge", tipus="INT", nullable="SI")
	  public java.lang.Integer getIdTipusViatge() {
	    return idTipusViatge;
	  }
}