package edu.uoc.pfc.mena.webapp.dao.impl;

import java.util.List;

import org.apache.log4j.Logger;

import edu.uoc.pfc.mena.db.core.exception.BDException;
import edu.uoc.pfc.mena.webapp.beans.TipusViatge;
import edu.uoc.pfc.mena.webapp.constants.AgenciaConstants;
import edu.uoc.pfc.mena.webapp.dao.AbstractGenericDAO;
import edu.uoc.pfc.mena.webapp.dao.TipusViatgeDAO;

public class TipusViatgeDAOImpl extends AbstractGenericDAO<TipusViatge> implements TipusViatgeDAO, AgenciaConstants {

	private static final Logger log = Logger.getLogger( TipusViatgeDAOImpl.class );

	@Override
	public List<TipusViatge> cercaTots() throws BDException {
		log.debug("Realitzant la cerca de tots els tipus de viatges ...");
		return super.find("SELECT * FROM TIPUS_VIATGE", new TipusViatge());
	}

	@Override
	public TipusViatge cercaTipusViatgeById(int id) throws BDException {
		TipusViatge tv=new TipusViatge();
		tv.setId(id);
		return super.findById(tv);
	}
	
}
