package edu.uoc.pfc.mena.webapp.pojo;

import edu.uoc.pfc.mena.webapp.beans.Desti;
import edu.uoc.pfc.mena.webapp.beans.Oferta;
import edu.uoc.pfc.mena.webapp.beans.TipusViatge;

public class OfertaTO {

	private Oferta oferta;
	private TipusViatge tipus;
	private Desti desti;
	private Integer placesDisponibles;
	
	public OfertaTO(){
		super();
		oferta= new Oferta();
		tipus= new TipusViatge();
		desti= new Desti();
		placesDisponibles=0;
	}
	
	public OfertaTO(Oferta o){
		super();
		oferta= o;
		tipus= new TipusViatge();
		tipus.setId(o.getIdTipusViatge());
		desti= new Desti();
		desti.setId(o.getIdDesti());
		placesDisponibles=o.getPlaces();
	}

	public Oferta getOferta() {
		return oferta;
	}

	public void setOferta(Oferta oferta) {
		this.oferta = oferta;
	}

	public TipusViatge getTipus() {
		return tipus;
	}

	public void setTipus(TipusViatge tipus) {
		this.tipus = tipus;
	}

	public Desti getDesti() {
		return desti;
	}

	public void setDesti(Desti desti) {
		this.desti = desti;
	}

	public Integer getPlacesDisponibles() {
		return placesDisponibles;
	}

	public void setPlacesDisponibles(Integer placesDisponibles) {
		this.placesDisponibles = placesDisponibles;
	}
	
	public Oferta toBean(){
		Oferta o= this.getOferta();
		o.setIdDesti(this.getDesti().getId());
		o.setIdTipusViatge(this.getTipus().getId());
		return o;
	}
	
}
