package edu.uoc.pfc.mena.webapp.services;

import java.util.List;

import edu.uoc.pfc.mena.db.core.exception.BDException;
import edu.uoc.pfc.mena.webapp.beans.Client;
import edu.uoc.pfc.mena.webapp.filter.OfertesFilter;
import edu.uoc.pfc.mena.webapp.pojo.OfertaTO;



public interface OfertesServei {
 

	public int afegirOferta (OfertaTO o) throws BDException;
	public void modificarOferta (OfertaTO o) throws BDException;
	public void eliminarOferta (OfertaTO o) throws BDException;
	
	public List<OfertaTO> cercarOfertes(OfertesFilter filtre) throws BDException, InstantiationException, IllegalAccessException ;
	public OfertaTO cercaOfertaById(Integer idOferta) throws BDException, InstantiationException, IllegalAccessException;
	
	public void inscriureClient(Client c, Integer idOferta) throws BDException ;
}