package edu.uoc.pfc.mena.webapp.services.impl;

import java.util.List;

import edu.uoc.pfc.mena.db.core.exception.BDException;
import edu.uoc.pfc.mena.webapp.beans.Desti;
import edu.uoc.pfc.mena.webapp.dao.DestiDAO;
import edu.uoc.pfc.mena.webapp.services.DestinsServei;

public class DestinsServeiImpl implements DestinsServei{

	private DestiDAO destiDAO;

	public DestiDAO getDestiDAO() {
		return destiDAO;
	}
		
	public void setDestiDAO(DestiDAO destiDAO) {
		this.destiDAO = destiDAO;
	}
	
	@Override
	public List<Desti> cercarTotsDestins() throws BDException {
		return destiDAO.cercaTots();
	}

	@Override
	public Desti cercaDestinsById(int id) throws BDException {
		return destiDAO.cercaDestiById(id);
	}

	@Override
	public List<Desti> cercaDestinsByNom(String nom) throws BDException {
		return destiDAO.cercaDestiByNom(nom);
	}

}
