package edu.uoc.pfc.mena.webapp.services.impl;

import java.util.List;

import edu.uoc.pfc.mena.db.core.exception.BDException;
import edu.uoc.pfc.mena.webapp.beans.TipusViatge;
import edu.uoc.pfc.mena.webapp.dao.TipusViatgeDAO;
import edu.uoc.pfc.mena.webapp.services.TipusViatgesServei;

public class TipusViatgesServeiImpl implements TipusViatgesServei{

	private TipusViatgeDAO tipusViatgeDAO;
	
	
	public TipusViatgeDAO getTipusViatgeDAO() {
		return tipusViatgeDAO;
	}
	
	
	public void setTipusViatgeDAO(TipusViatgeDAO tipusViatgeDAO) {
		this.tipusViatgeDAO = tipusViatgeDAO;
	}

	@Override
	public List<TipusViatge> cercarTotsTipusViatge() throws BDException {
		return tipusViatgeDAO.cercaTots();
	}


	@Override
	public TipusViatge cercaTipusViatgeById(int id) throws BDException {
		return tipusViatgeDAO.cercaTipusViatgeById(id);
	}

}
