package edu.uoc.pfc.mena.webapp.services.impl;

import edu.uoc.pfc.mena.db.core.exception.BDException;
import edu.uoc.pfc.mena.webapp.beans.Usuari;
import edu.uoc.pfc.mena.webapp.dao.UsuariDAO;
import edu.uoc.pfc.mena.webapp.exception.AgenciaException;
import edu.uoc.pfc.mena.webapp.services.UsuarisServei;

public class UsuarisServeiImpl implements UsuarisServei{

	private UsuariDAO usuariDAO;
	
	
	public UsuariDAO getUsuariDAO() {
		return usuariDAO;
	}
	
	
	public void setUsuariDAO(UsuariDAO usuariDAO) {
		this.usuariDAO = usuariDAO;
	}
	
	@Override
	public Usuari login(String codiUsuari, String contrasenya) throws BDException, AgenciaException {
		return usuariDAO.loginUsuari(codiUsuari, contrasenya);
	}

}
